/*    
    WinDVD Plugin for ATI Remote Wonder
    Copyright 2002-2005 Jonathan Zarate

    This program is free software; you can redistribute it and/or modify it
	under the terms of the GNU General Public License as published by the
	Free Software Foundation; either version 2 of the License, or (at your
	option) any later version.

    This program is distributed in the hope that it will be useful, but
	WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
	or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
	for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software Foundation,
	Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"
#include "ActionCodes.h"

CActionCode ActionCodes[] = {
	{_T("[RemoteWonder Default]"),	ACT_NONE},
	{_T("[Do Nothing]"),			ACT_IGNORE},

	{_T("Menu: Root"),			ACT_MENUROOT},
	{_T("Menu: Title"),			ACT_MENUTITLE},

	{_T("Play"),				ACT_PLAY},
	{_T("Pause"),				ACT_PAUSE},
	{_T("Stop"),				ACT_STOP},

	{_T("Chapter Previous"),	ACT_CHAPTERPREV},
	{_T("Chapter Next"),		ACT_CHAPTERNEXT},

	{_T("Skip Backward"),		ACT_SKIPBACKWARD},
	{_T("Skip Forward"),		ACT_SKIPFORWARD},
	{_T("Rewind"),				ACT_REWIND},
	{_T("Fast Forward"),		ACT_FFORWARD},
	{_T("Step Back"),			ACT_STEPBACK},
	{_T("Step Forward"),		ACT_STEPFORWARD},

	{_T("Time Stretch: Slower"),ACT_TSTRETCHSLOW},
	{_T("Time Stretch: Faster"),ACT_TSTRETCHFAST},
	{_T("Time Stretch: Normal"),ACT_TSTRETCHNORM},

	{_T("Subtitle"),			ACT_SUBTITLE},
	{_T("Angle"),				ACT_ANGLE},

	{_T("Audio Channel (L/R/Both)"), ACT_AUDIOCHAN},
	{_T("Audio Track/Language"),ACT_AUDIOLANG},

	{_T("Volume +"),			ACT_VOLUMEUP},
	{_T("Volume -"),			ACT_VOLUMEDN},
	{_T("Volume Mute"),			ACT_VOLUMEMT},

	{_T("Mixer Volume +"),		ACT_MIXVOLUP},
	{_T("Mixer Volume -"),		ACT_MIXVOLDN},
	{_T("Mixer Volume Mute"),	ACT_MIXVOLMUTE},

	{_T("Repeat A-B: Set A"),			ACT_ABSETA},
	{_T("Repeat A-B: Set B/Play A-B"),	ACT_ABSETB},
	{_T("Repeat A-B: Clear"),			ACT_ABCLEAR},

	{_T("Repeat Mode: Title/Chapter"),	ACT_REPEATMODE},

	{_T("Eject"),				ACT_EJECT},

	{_T("Brightness+"),			ACT_BRIGHTUP},
	{_T("Brightness-"),			ACT_BRIGHTDN},

	{_T("Capture Frame"),		ACT_CAPTURE},

	{_T("Full Screen"),			ACT_FULLSCREEN},
	{_T("Exit WinDVD"),			ACT_EXIT},

	{_T("0"),					ACT_0},
	{_T("1"),					ACT_1},
	{_T("2"),					ACT_2},
	{_T("3"),					ACT_3},
	{_T("4"),					ACT_4},
	{_T("5"),					ACT_5},
	{_T("6"),					ACT_6},
	{_T("7"),					ACT_7},
	{_T("8"),					ACT_8},
	{_T("9"),					ACT_9},

	{_T("Up"),					ACT_UP},
	{_T("Down"),				ACT_DOWN},
	{_T("Left"),				ACT_LEFT},
	{_T("Right"),				ACT_RIGHT},
	{_T("Select/Enter"),		ACT_SELECT},

	{_T("Plugin: Setup"),		ACT_PLUGINSETUP},

	{NULL, NULL}
};
